SSL_get0_group_name(3)

NAME
SSL_get0_group_name - get name of the group that was used for the key agreement of the current TLS session establishment

SYNOPSIS
 #include <openssl/ssl.h>

 const char *SSL_get0_group_name(SSL *s);

DESCRIPTION
SSL_get0_group_name() returns the name of the group that was used for the key agreement of the current TLS session establishment.

RETURN VALUES
If non-NULL, SSL_get0_group_name() returns the name of the group that was used for the key agreement of the current TLS session establishment. If SSL_get0_group_name() returns NULL, an error occurred; possibly no TLS session has been established. See also SSL_get_negotiated_group(3).

Note that the return value is valid only during the lifetime of the SSL object ssl.

SEE ALSO
ssl(7), SSL_get_negotiated_group(3)

HISTORY
This function was added in OpenSSL 3.2.

COPYRIGHT
Copyright 2023-2025 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.